<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:39 CEST 2019 -->
<title>Deprecated List (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Deprecated List (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Deprecated API" class="title">Deprecated API</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#field">Deprecated Fields</a></li>
<li><a href="#method">Deprecated Methods</a></li>
<li><a href="#constructor">Deprecated Constructors</a></li>
</ul>
</div>
<div class="contentContainer"><a name="field">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Fields table, listing deprecated fields, and an explanation">
<caption><span>Deprecated Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/JaybirdStatementModel.html#EXECUTE_TYPE">org.firebirdsql.jdbc.parser.JaybirdStatementModel.EXECUTE_TYPE</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#EXTENSION_PARAMETERS">org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.EXTENSION_PARAMETERS</a>
<div class="block"><span class="deprecationComment">Will be removed in Jaybird 5 without formal replacement</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/gds/ISCConstants.html#isc_dpb_mapping_path">org.firebirdsql.gds.ISCConstants.isc_dpb_mapping_path</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/ISCConstants.html#isc_dpb_no_result_set_tracking">org.firebirdsql.gds.ISCConstants.isc_dpb_no_result_set_tracking</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/gds/ISCConstants.html#isc_dpb_octets_as_bytes">org.firebirdsql.gds.ISCConstants.isc_dpb_octets_as_bytes</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/ISCConstants.html#isc_dpb_paranoia_mode">org.firebirdsql.gds.ISCConstants.isc_dpb_paranoia_mode</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/gds/ISCConstants.html#isc_isc_sql_dialect_conflict_num">org.firebirdsql.gds.ISCConstants.isc_isc_sql_dialect_conflict_num</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#MAPPING_PATH">org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.MAPPING_PATH</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#NO_RESULT_SET_TRACKING">org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.NO_RESULT_SET_TRACKING</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#OCTETS_AS_BYTES">org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.OCTETS_AS_BYTES</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html#PARANOIA_MODE">org.firebirdsql.gds.impl.DatabaseParameterBufferExtension.PARANOIA_MODE</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/escape/FBSQLParseException.html#SQL_STATE_INVALID_ESCAPE_SEQ">org.firebirdsql.jdbc.escape.FBSQLParseException.SQL_STATE_INVALID_ESCAPE_SEQ</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_ESCAPE_SEQ"><code>SQLStateConstants.SQL_STATE_INVALID_ESCAPE_SEQ</code></a>; will be removed in Jaybird 5.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#tokenNames">org.firebirdsql.jdbc.parser.JaybirdSqlParser.tokenNames</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#VOCABULARY"><code>JaybirdSqlParser.VOCABULARY</code></a> instead.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#tokenNames">org.firebirdsql.jdbc.parser.JaybirdSqlLexer.tokenNames</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#VOCABULARY"><code>JaybirdSqlLexer.VOCABULARY</code></a> instead.</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="method">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Methods table, listing deprecated methods, and an explanation">
<caption><span>Deprecated Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ServiceRequestBuffer-">org.firebirdsql.management.FBServiceManager.executeServicesOperation(ServiceRequestBuffer)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-"><code>FBServiceManager.executeServicesOperation(FbService, ServiceRequestBuffer)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/ng/FbConnectionProperties.html#fromDpb-org.firebirdsql.gds.DatabaseParameterBuffer-">org.firebirdsql.gds.ng.FbConnectionProperties.fromDpb(DatabaseParameterBuffer)</a>
<div class="block"><span class="deprecationComment">TODO: This method is only intended to simplify migration of the protocol implementation and needs to be removed.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/AbstractResultSet.html#getBigDecimal-int-int-">org.firebirdsql.jdbc.AbstractResultSet.getBigDecimal(int, int)</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/AbstractCallableStatement.html#getBigDecimal-int-int-">org.firebirdsql.jdbc.AbstractCallableStatement.getBigDecimal(int, int)</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/AbstractResultSet.html#getBigDecimal-java.lang.String-int-">org.firebirdsql.jdbc.AbstractResultSet.getBigDecimal(String, int)</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getBlobBufferLength--">org.firebirdsql.jca.FBManagedConnectionFactory.getBlobBufferLength()</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getBlobBufferSize--"><code>FBManagedConnectionFactory.getBlobBufferSize()</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getCharacterSetSize-int-">org.firebirdsql.encodings.EncodingFactory.getCharacterSetSize(int)</a>
<div class="block"><span class="deprecationComment">Use the information provided by the <a href="org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> returned by <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-"><code>EncodingFactory.getEncodingDefinitionByCharacterSetId(int)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBAbstractCommonDataSource.html#getDatabase--">org.firebirdsql.ds.FBAbstractCommonDataSource.getDatabase()</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBSimpleDataSource.html#getDatabaseName--">org.firebirdsql.ds.FBSimpleDataSource.getDatabaseName()</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/ds/FBSimpleDataSource.html#getDatabase--"><code>FBSimpleDataSource.getDatabase()</code></a> instead for the sake of naming
 compatibility.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FBConnectionProperties.html#getDatabaseParameterBuffer--">org.firebirdsql.jdbc.FBConnectionProperties.getDatabaseParameterBuffer()</a>
<div class="block"><span class="deprecationComment">TODO Usage of this method should be removed or revised as current use of default encoding is not correct.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getEncoding-java.nio.charset.Charset-">org.firebirdsql.encodings.EncodingFactory.getEncoding(Charset)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-"><code>EncodingFactory.getEncodingForCharset(java.nio.charset.Charset, Encoding)</code></a> or <a href="org/firebirdsql/encodings/EncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-"><code>EncodingFactory.getOrCreateEncodingForCharset(java.nio.charset.Charset)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getEncoding-java.lang.String-">org.firebirdsql.encodings.EncodingFactory.getEncoding(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-org.firebirdsql.encodings.Encoding-"><code>EncodingFactory.getEncodingForCharsetAlias(String, Encoding)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FBSQLException.html#getInternalException--">org.firebirdsql.jdbc.FBSQLException.getInternalException()</a>
<div class="block"><span class="deprecationComment">use <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getCause--" title="class or interface in java.lang"><code>Throwable.getCause()</code></a> instead.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getIscEncoding-java.nio.charset.Charset-">org.firebirdsql.encodings.EncodingFactory.getIscEncoding(Charset)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharset-java.nio.charset.Charset-"><code>EncodingFactory.getEncodingDefinitionByCharset(java.nio.charset.Charset)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getIscEncoding-java.lang.String-">org.firebirdsql.encodings.EncodingFactory.getIscEncoding(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>EncodingFactory.getEncodingDefinitionByCharsetAlias(String)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getIscEncodingSize-java.lang.String-">org.firebirdsql.encodings.EncodingFactory.getIscEncodingSize(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-"><code>EncodingFactory.getEncodingDefinitionByFirebirdName(String)</code></a> and <a href="org/firebirdsql/encodings/EncodingDefinition.html#getMaxBytesPerChar--"><code>EncodingDefinition.getMaxBytesPerChar()</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getJavaEncoding-java.lang.String-">org.firebirdsql.encodings.EncodingFactory.getJavaEncoding(String)</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/encodings/EncodingFactory.html#getJavaEncodingForAlias-java.lang.String-">org.firebirdsql.encodings.EncodingFactory.getJavaEncodingForAlias(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>EncodingFactory.getEncodingDefinitionByCharsetAlias(String)</code></a> and <a href="org/firebirdsql/encodings/EncodingDefinition.html#getJavaEncodingName--"><code>EncodingDefinition.getJavaEncodingName()</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getLocalEncoding--">org.firebirdsql.jca.FBManagedConnectionFactory.getLocalEncoding()</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getCharSet--"><code>FBManagedConnectionFactory.getCharSet()</code></a> instead.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/JaybirdSqlParser.html#getTokenNames--">org.firebirdsql.jdbc.parser.JaybirdSqlParser.getTokenNames()</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/JaybirdSqlLexer.html#getTokenNames--">org.firebirdsql.jdbc.parser.JaybirdSqlLexer.getTokenNames()</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getTransactionIsolation--">org.firebirdsql.jca.FBManagedConnectionFactory.getTransactionIsolation()</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getDefaultTransactionIsolation--"><code>FBManagedConnectionFactory.getDefaultTransactionIsolation()</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getTransactionIsolationName--">org.firebirdsql.jca.FBManagedConnectionFactory.getTransactionIsolationName()</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#getDefaultIsolation--"><code>FBManagedConnectionFactory.getDefaultIsolation()</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/AbstractResultSet.html#getUnicodeStream-int-">org.firebirdsql.jdbc.AbstractResultSet.getUnicodeStream(int)</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/AbstractResultSet.html#getUnicodeStream-java.lang.String-">org.firebirdsql.jdbc.AbstractResultSet.getUnicodeStream(String)</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBSimpleDataSource.html#getUser--">org.firebirdsql.ds.FBSimpleDataSource.getUser()</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/ds/FBSimpleDataSource.html#getUserName--"><code>FBSimpleDataSource.getUserName()</code></a> instead for the sake of naming
 compatibility.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBAbstractCommonDataSource.html#getUserName--">org.firebirdsql.ds.FBAbstractCommonDataSource.getUserName()</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FBDatabaseMetaData.html#hasNoWildcards-java.lang.String-">org.firebirdsql.jdbc.FBDatabaseMetaData.hasNoWildcards(String)</a>
<div class="block"><span class="deprecationComment">Will be removed in Jaybird 5</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/management/MaintenanceManager.html#listLimboTransactions--">org.firebirdsql.management.MaintenanceManager.listLimboTransactions()</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/management/MaintenanceManager.html#limboTransactionsAsList--"><code>MaintenanceManager.limboTransactionsAsList()</code></a> or
 <a href="org/firebirdsql/management/MaintenanceManager.html#getLimboTransactions--"><code>MaintenanceManager.getLimboTransactions()</code></a> instead; this method will be removed in Jaybird 5.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/management/FBMaintenanceManager.html#listLimboTransactions--">org.firebirdsql.management.FBMaintenanceManager.listLimboTransactions()</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/management/TraceManager.html#loadConfigurationFromFile-java.lang.String-">org.firebirdsql.management.TraceManager.loadConfigurationFromFile(String)</a>
<div class="block"><span class="deprecationComment">We suggest you use standard Java functionality instead (eg
 <code>new String(Files.readAllBytes(Paths.get(fileName)), Charset.defaultCharset())</code>.
 This method will be removed in Jaybird 5.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/management/FBTraceManager.html#loadConfigurationFromFile-java.lang.String-">org.firebirdsql.management.FBTraceManager.loadConfigurationFromFile(String)</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/gds/ParameterBufferHelper.DpbParameterType.html#parseDpbString-java.lang.Object-">org.firebirdsql.gds.ParameterBufferHelper.DpbParameterType.parseDpbString(Object)</a>
<div class="block"><span class="deprecationComment">In general, <a href="org/firebirdsql/gds/ParameterBufferHelper.DpbParameterType.html#parseDpbString-java.lang.String-"><code>ParameterBufferHelper.DpbParameterType.parseDpbString(String)</code></a> should be used; this method is not planned for
 removal</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/ParameterBufferHelper.html#parseDpbString-java.lang.String-java.lang.Object-">org.firebirdsql.gds.ParameterBufferHelper.parseDpbString(String, Object)</a>
<div class="block"><span class="deprecationComment">In general, <a href="org/firebirdsql/gds/ParameterBufferHelper.html#parseDpbString-java.lang.String-java.lang.String-"><code>ParameterBufferHelper.parseDpbString(String, String)</code></a> should be used; this method is not planned for
 removal</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/StatementParserImpl.html#parseInsertStatement-java.lang.String-">org.firebirdsql.jdbc.parser.StatementParserImpl.parseInsertStatement(String)</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/parser/StatementParser.html#parseInsertStatement-java.lang.String-">org.firebirdsql.jdbc.parser.StatementParser.parseInsertStatement(String)</a>
<div class="block"><span class="deprecationComment">Use <a href="org/firebirdsql/jdbc/parser/StatementParser.html#parseStatement-java.lang.String-"><code>StatementParser.parseStatement(String)</code></a> instead; will be removed in Jaybird 5</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setBlobBufferLength-int-">org.firebirdsql.jca.FBManagedConnectionFactory.setBlobBufferLength(int)</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setBlobBufferSize-int-"><code>FBManagedConnectionFactory.setBlobBufferSize(int)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBAbstractCommonDataSource.html#setDatabase-java.lang.String-">org.firebirdsql.ds.FBAbstractCommonDataSource.setDatabase(String)</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBSimpleDataSource.html#setDatabaseName-java.lang.String-">org.firebirdsql.ds.FBSimpleDataSource.setDatabaseName(String)</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/ds/FBSimpleDataSource.html#setDatabase-java.lang.String-"><code>FBSimpleDataSource.setDatabase(String)</code></a> instead for the sake of 
 naming compatibility.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setLocalEncoding-java.lang.String-">org.firebirdsql.jca.FBManagedConnectionFactory.setLocalEncoding(String)</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setCharSet-java.lang.String-"><code>FBManagedConnectionFactory.setCharSet(String)</code></a> instead.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setTransactionIsolation-java.lang.Integer-">org.firebirdsql.jca.FBManagedConnectionFactory.setTransactionIsolation(Integer)</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setDefaultTransactionIsolation-int-"><code>FBManagedConnectionFactory.setDefaultTransactionIsolation(int)</code></a></span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setTransactionIsolationName-java.lang.String-">org.firebirdsql.jca.FBManagedConnectionFactory.setTransactionIsolationName(String)</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jca/FBManagedConnectionFactory.html#setDefaultIsolation-java.lang.String-"><code>FBManagedConnectionFactory.setDefaultIsolation(String)</code></a></span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-int-int:A-">org.firebirdsql.jdbc.FirebirdConnection.setTransactionParameters(int, int[])</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/jdbc/FirebirdConnection.html#setTransactionParameters-int-org.firebirdsql.gds.TransactionParameterBuffer-"><code>FirebirdConnection.setTransactionParameters(int, TransactionParameterBuffer)</code></a>
 instead.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FBConnection.html#setTransactionParameters-int-int:A-">org.firebirdsql.jdbc.FBConnection.setTransactionParameters(int, int[])</a></td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/AbstractPreparedStatement.html#setUnicodeStream-int-java.io.InputStream-int-">org.firebirdsql.jdbc.AbstractPreparedStatement.setUnicodeStream(int, InputStream, int)</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBSimpleDataSource.html#setUser-java.lang.String-">org.firebirdsql.ds.FBSimpleDataSource.setUser(String)</a>
<div class="block"><span class="deprecationComment">use <a href="org/firebirdsql/ds/FBSimpleDataSource.html#setUserName-java.lang.String-"><code>FBSimpleDataSource.setUserName(String)</code></a> instead for the sake of
 naming compatibility.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/ds/FBAbstractCommonDataSource.html#setUserName-java.lang.String-">org.firebirdsql.ds.FBAbstractCommonDataSource.setUserName(String)</a></td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FBDatabaseMetaData.html#stripEscape-java.lang.String-">org.firebirdsql.jdbc.FBDatabaseMetaData.stripEscape(String)</a>
<div class="block"><span class="deprecationComment">Will be removed in Jaybird 5</span></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="constructor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<table class="deprecatedSummary" border="0" cellpadding="3" cellspacing="0" summary="Deprecated Constructors table, listing deprecated constructors, and an explanation">
<caption><span>Deprecated Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="org/firebirdsql/jdbc/FBSQLException.html#FBSQLException-java.lang.String-java.sql.SQLException-">org.firebirdsql.jdbc.FBSQLException(String, SQLException)</a>
<div class="block"><span class="deprecationComment">In all most all cases use
             <a href="org/firebirdsql/jdbc/FBSQLException.html#FBSQLException-java.lang.String-java.lang.String-"><code>FBSQLException.FBSQLException(String, String)</code></a> in combination with
             <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true#setNextException-java.sql.SQLException-" title="class or interface in java.sql"><code>SQLException.setNextException(SQLException)</code></a>.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="org/firebirdsql/gds/impl/argument/StringArgument.html#StringArgument-int-org.firebirdsql.gds.impl.argument.ArgumentType-java.lang.String-">org.firebirdsql.gds.impl.argument.StringArgument(int, ArgumentType, String)</a></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Deprecated</li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?deprecated-list.html" target="_top">Frames</a></li>
<li><a href="deprecated-list.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
